Name:           ncview
Version:        2.1.8
Release:    1%{?dist}
Summary:        A visual browser for netCDF format files
License:        GPLv3
URL:            http://meteora.ucsd.edu/~pierce/ncview_home_page.html
Source0:        ftp://cirrus.ucsd.edu/pub/ncview/ncview-%{version}.tar.gz
Patch0:         ncview-rpath.patch

BuildRequires: make
BuildRequires:  xorg-x11-proto-devel libXaw-devel libXt-devel libXext-devel
BuildRequires:  libXmu-devel libICE-devel libSM-devel libX11-devel
BuildRequires:  libpng-devel
BuildRequires:  netcdf-devel udunits2-devel
BuildRequires:  expat-devel
BuildRequires:  chrpath

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.

%prep
%autosetup -p1


%build
%configure X_CFLAGS="%{optflags}" --with-udunits2_incdir=%{_includedir}/udunits2 \
 --x-libraries=%{_libdir}  --datadir=%{_datadir}/ncview
make
sed s=NCVIEW_LIB_DIR=%{_datadir}/ncview= < data/ncview.1.sed > data/ncview.1


%install
mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
cp -p Ncview-appdefaults %{buildroot}%{_datadir}/X11/app-defaults/Ncview
%makeinstall NCVIEW_LIB_DIR=%{buildroot}%{_datadir}/ncview BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1
mkdir %{buildroot}%{_datadir}/ncview/
install -m0644 -p *.ncmap %{buildroot}%{_datadir}/ncview/
chmod 644 %{buildroot}%{_datadir}/X11/app-defaults/Ncview
mkdir -p %{buildroot}%{_mandir}/man1/
install -m0644 -p data/ncview.1 %{buildroot}%{_mandir}/man1/
chrpath -l -d %{buildroot}%{_bindir}/ncview


%files
%license COPYING
%doc README
%{_bindir}/*
%{_datadir}/ncview/
%{_datadir}/X11/app-defaults/Ncview
%{_mandir}/man1/*


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.8-1
- initial build
